#
# spec file for package kchmviewer (Version 2.6)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 chmlib chmlib-devel coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           kchmviewer
BuildRequires:  kdelibs3-devel
%if %suse_version < 1000
BuildRequires:  libjpeg-devel
%endif
%if %suse_version > 1010
BuildRequires:  chmlib-devel
%endif
License:        GNU General Public License (GPL)
Group:          Productivity/Office/Other
Summary:        KDE chm Viewer (MS Windows Compressed HTML Documents)
Version:        2.6
Release:        40.1
URL:            http://kchmviewer.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%version.tar.bz2
Patch:          %name.diff

%description
This is a viewer for the chm files known from the MS Windows world. It
supports complex searching for large books and has various viewing
features.



Authors:
--------
    <tim@krasnogorsk.ru>

%debug_package
%prep 
%setup -q 
%patch
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
%ifarch x86_64 s390x ppc64 ia64
./configure $configkde --with-kde --enable-libsuffix=64
%else
./configure $configkde --with-kde
%endif
make %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
#kde_post_install
%if %suse_version < 1010
%suse_update_desktop_file %name  Office Viewer
%else
%suse_update_desktop_file -G "Compressed HTML Viewer" %name  Office Viewer
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/appl*/*/*.desktop
/opt/kde3/share/icons/*/*/*/kchmviewer.*
/opt/kde3/share/services/msits.protocol

%changelog -n kchmviewer
* Fri Jul 07 2006 - adrian@suse.de
- update to version 2.6:
  * Added shortcut help in context menus.
  * Right-click menu is now available in Contents, Search, Index and Favorites windows.
  * Fixed navigation buttons 'What's this' messages.
* Mon Jun 26 2006 - stbinner@suse.de
- fix build for 64 bit
* Wed May 31 2006 - adrian@suse.de
- fix build for < 10.1
* Mon May 22 2006 - stbinner@suse.de
- Use system-wide chmlib package (#153012)
* Wed May 17 2006 - stbinner@suse.de
- update to version 2.5:
  * Application icon should now be correctly installed.
  * Fixed handling of mailto: urls.
  * 'Locate in content' button now opens a Contents tab, if hidden.
  * Version 2.5 release.
  * A tooltip is now shows the full text in all the tree and list views if truncated on screen.
  * Fixed content tree parser, now the content table should be parsed correctly.
  * Fixed crash after the encoding is changed, if any tree item is clicked.
  * Added a bookmark menu. Ctrl-B is a shortcut to add a bookmark.
  * Added tab browsing. Use right-click and 'Open in new tab'.
     - Added right-click content menu to open pages in a new tab.
     - Control-click on link or table of contents opens a page in a new tab in background.
     - Shift-click on link or table of contents opens a page in a new tab in foreground.
  * 'Setup' menu renamed to 'Settings'
  * Fixed various navigation errors when 'Locate' button didn't locate the appropriate topic.
  * Fixed forward navigation, and saved scroll position.
  * Navigation history rewritten, now it stores text position too.
  * Added 'Extract CHM content' menu item to extract the whole CHM file into a directory.
  * Added i18n calls for complete internationalization. pot file created.
  * Switched to a new, correct automake file structure.
  * Fixed autotest.
  * Now kchmviewer uses system libchm if found, and no --with-builtin-chmlib configure switch defined.
  * Made configure more compatible with newest autoconf and Debian - thanks to Jose Luis Tallon.
  * Added an application icon - thanks to Jose Luis Tallon.
  * Fixed index parser for PHP manual - thanks to Dmitry Bakshaev.
  * In full screen mode the menu bar and status bar are now hidden.
  * Added 'locate in content window' button to open currently opened topic in the content window.
  * Fixed compilation with gcc 4.1 - thanks to Jan Jitse Venselaar.
  * The algorithm to detect the valid root offset in contents page is changed. Now there should be less
  "CHMFile::ParseAndFillTopicsTree: child entry 1 with no root entry!" errors.
  * Pages with images only are now shown correctly.
  * Fixed kqrunprocess.h compilation bug on some platforms.
* Wed Feb 15 2006 - stbinner@suse.de
- add GenericName to .desktop file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 28 2005 - stbinner@suse.de
- update to version 1.3
* Mon Nov 21 2005 - stbinner@suse.de
- update to version 1.2
* Sun Oct 30 2005 - stbinner@suse.de
- update to version 1.1
* Wed Oct 26 2005 - stbinner@suse.de
- update internal CHM lib copy to 0.37 to fix exploitable buffer
  overflow (#130751)
* Tue Oct 11 2005 - dmueller@suse.de
- fix build
* Tue Sep 27 2005 - dmueller@suse.de
- fix build
* Wed Aug 17 2005 - schwab@suse.de
- Fix to build.
* Tue Aug 02 2005 - coolo@suse.de
- cleaning up behind project management
* Fri Jul 29 2005 - adrian@suse.de
- initial package of version 1.0
